aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-mail-domainkeys/APKBUILD
diff options
context:
space:
mode:
authorLinux User <larena@df1844j.ita.wtbts.net>2009-06-05 13:56:34 +0000
committerLinux User <larena@df1844j.ita.wtbts.net>2009-06-05 13:56:34 +0000
commit60d56f3d5e67dabbbe5a14e04193965d9e5a64c6 (patch)
tree25738d3745d54a6e387d56632c64d904e1d66f2a /testing/perl-mail-domainkeys/APKBUILD
parent081e788cdc76f7ea8eb95dc82d76a3475cdfa69f (diff)
downloadaports-60d56f3d5e67dabbbe5a14e04193965d9e5a64c6.tar.gz
aports-60d56f3d5e67dabbbe5a14e04193965d9e5a64c6.tar.bz2
aports-60d56f3d5e67dabbbe5a14e04193965d9e5a64c6.tar.xz
testing/perl-mail-domainkeys: new aport
Diffstat (limited to 'testing/perl-mail-domainkeys/APKBUILD')
-rw-r--r--testing/perl-mail-domainkeys/APKBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/testing/perl-mail-domainkeys/APKBUILD b/testing/perl-mail-domainkeys/APKBUILD
new file mode 100644
index 0000000000..bac983dd30
--- /dev/null
+++ b/testing/perl-mail-domainkeys/APKBUILD
@@ -0,0 +1,26 @@
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=perl-mail-domainkeys
+_realname=Mail-DomainKeys
+pkgver=1.0
+pkgrel=0
+pkgdesc="A perl implementation of DomainKeys"
+url="http://search.cpan.org/~anthonyu/Mail-DomainKeys-1.0/"
+license="Unknown"
+depends="perl"
+makedepends="perl-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/A/AN/ANTHONYU/$_realname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$_realname-$pkgver"
+
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install
+ # creates file collision among perl modules
+ rm $pkgdir/usr/lib/perl5/5.10.0/x86_64-linux/perllocal.pod
+}
+
+md5sums="a4565f21ada263cf34c55f50d7eb9944 Mail-DomainKeys-1.0.tar.gz"